Main Page Groups Namespaces

# sigc::signal<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5> Class Template Reference

Convenience wrapper for the numbered sigc::signal5 template. More...

Inheritance diagram for sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >:

[legend]
List of all members.

## Public Member Functions

| signal ()
| signal (const signal& src)

## Detailed Description

### template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
class sigc::signal< T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >

Convenience wrapper for the numbered sigc::signal5 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::signal template for 5 argument(s).

## Member Function Documentation

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
sigc::signal<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>::signal | ( | const signal<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>& | src | ) | `[inline]`

template <class T_return, class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
sigc::signal<T_return, T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>::signal | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- signal.h